Ubuntu16.04(64bit)兼容32bit程序

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/Q1302182594/article/details/51610902

0 前言

    使用Ubuntu16.04(64bit)进行嵌入式开发时,默认情况下无法正常运行32位的交叉编译工具链,因此需要安装额外兼容包。

1 运行32bit程序

    若只是需要在Ubuntu16.04(64bit)中运行32bit程序, 只需要安装libc6:i386即可[3]:

sudo apt-get install libc6:i386

    某些程序还需要用到lib32stc++6[4]:

sudo apt-get install lib32stdc++6

    此外,还需要用到的库有lib32z1[5]

sudo apt-get install lib32z1

2 开发32bit程序

    若是希望在Ubuntu16.04(64bit)开发32bit程序, 则需要安装相应的开发库(略).

参考资料

[1]ubuntu 12.04 64位设置兼容32位的实现

[2]Ubuntu64位上运行32位程序

[3]如何在ubuntu14.04(64位)编译运行32位程序

[4]error while loading libstdc++.so.6

[5]error while loading shared librarieserror while loading shared libraries: : libz.so.1

展开阅读全文

没有更多推荐了,返回首页